For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
          • GETRetrieves the raw data for a database
          • POSTDownloads Data (either general, export or raw with no transformer)
          • GETRetrieves the transformed data for a database/export
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTContentData

Downloads Data (either general, export or raw with no transformer)

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/exports/:export_id/run_parallel_export
POST
/api.php/dbs/:db_id/exports/:export_id/run_parallel_export
$curl -X POST https://meta.feedonomics.com/api.php/dbs/1/exports/1/run_parallel_export \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "delimiter": "tab",
> "do_notify": false,
> "fe_download": true,
> "ignore_export_selector": false,
> "no_transformers": false,
> "push": "false"
>}'
200create/export
1[
2 {
3 "status": "success",
4 "message": "",
5 "data": [
6 {
7 "url": "dev145.feedonomics.com\\/exports\\/51519_0_03ff4074fb83018e62292b9c8784182c9c58d28ce9d7188757657aahgsNgo.txt",
8 "total_count": "123",
9 "data_governance_queries": [],
10 "summary": [],
11 "extra": [],
12 "correlation_id": "4d2f4a5470372f31",
13 "ebs_metrics": [],
14 "hostname": "dev145.feedonomics.com",
15 "scheduled_run_time": "",
16 "db": [
17 {
18 "id": "12345",
19 "name": "Luxury Knives",
20 "user_id": "73",
21 "account_id": "9876",
22 "import_running": "0",
23 "export_running": "1",
24 "paused": "0",
25 "visibility": "1",
26 "oauth_id": "0",
27 "email_address": "",
28 "google_account_id": "",
29 "google_account_name": "",
30 "google_analytics_oauth_id": "0",
31 "google_analytics_profile_id": "",
32 "amazon_seller_id": "",
33 "amazon_marketplace_id": "",
34 "amazon_mws_auth_token": "",
35 "bing_oauth_id": "0",
36 "bing_shopping_account_id": "",
37 "bing_shopping_campaign_id": "",
38 "polyvore_username": "",
39 "polyvore_password": "",
40 "polyvore_campaign_id": "",
41 "external_id": "",
42 "time": "2024-01-01 01:00:00",
43 "billing_parent_id": "0",
44 "sears_email": "",
45 "sears_seller_id": "",
46 "sears_secret_key": "",
47 "walmart_private_key": "",
48 "walmart_consumer_id": "",
49 "kijiji_oauth_id": "0",
50 "mercado_libre_client_id": "",
51 "mercado_libre_client_secret": "",
52 "mercado_libre_oauth_id": "0",
53 "mercado_libre_country": "",
54 "google_sheets_oauth_id": "0",
55 "shopify_oauth_id": "0",
56 "facebook_oauth_id": "56789",
57 "facebook_page_id": "",
58 "facebook_cms_id": "454545454545",
59 "character_set": "utf8",
60 "host": "192.168.0.243",
61 "scheduler_host": "scheduler1.feedonomics.com",
62 "feed_report_host": "feedreport1.feedonomics.com",
63 "cxn_id": "98765432",
64 "run_import_id": "c9876543ce0",
65 "data_count": "562",
66 "google_service_account_id": "0",
67 "woocommerce_oauth_id": "0",
68 "bigcommerce_oauth_id": "0",
69 "empty_exports_on_data_refresh_failures": "0",
70 "last_run_imports_status": "success",
71 "shein_oauth_id": "0",
72 "wish_oauth_id": "0",
73 "tiktok_oauth_id": "0",
74 "tiktok_country": "",
75 "tiktok_env": "",
76 "tiktok_store_name": "",
77 "db_service": "1",
78 "created_at": "2023-01-01 01:00:00",
79 "deleted_at": "0000-00-00 00:00:00",
80 "mirakl_oauth_id": "0",
81 "run_import_stats": "{\\'123456\\':{\\'join_type\\':\\'product_feed\\',\\'update\\':0,\\'load\\':\\'562\\',\\'duration\\':0,\\'first_run\\':false},\\'234567\\':{\\'join_type\\':\\'join_info\\',\\'update\\':\\'562\\',\\'load\\':\\'562\\',\\'duration\\':0,\\'first_run\\':false},\\'345678\\':{\\'join_type\\':\\'join_info\\',\\'update\\':\\'3\\',\\'load\\':\\'3\\',\\'duration\\':0,\\'first_run\\':false}}",
82 "run_import_duration": "1",
83 "primary_db_field_key": "id",
84 "event_sync": "0",
85 "worker_pid": "65456",
86 "worker_hostname": "db-service11.feedonomics.com",
87 "subscribe_to_ebs_integration": "0",
88 "chunk_size": "5000",
89 "unique_pkey_constraint": "1",
90 "requested_primary_key": "",
91 "query_worker_group": "php8",
92 "redis_cluster": "data",
93 "db_group_name": "Ungrouped",
94 "feedonomics_auth_token": "",
95 "manual_billing_exclusion": "0",
96 "google_merchant_center_oauth_id": "",
97 "google_merchant_center_account_id": "",
98 "google_my_business_oauth_id": "",
99 "timestamp": "2024-01-01 01:00:00"
100 }
101 ],
102 "account": [
103 {
104 "account_name": "luxury_knives"
105 }
106 ],
107 "export": [
108 {
109 "id": "0",
110 "db_id": "12345",
111 "name": "Knives Export",
112 "cron": "",
113 "legacy_workers": "0",
114 "delimiter": "tab",
115 "enclosure": "\\'",
116 "escape": "\\'",
117 "export_format": "delimited",
118 "strip_characters": "",
119 "show_empty_tags": "0",
120 "show_empty_parent_tags": "0",
121 "use_cdata": "0",
122 "xml_write_document_tag": "0",
123 "file_name": "",
124 "protocol": "local",
125 "protocol_info": "",
126 "host": "",
127 "username": "",
128 "password": "",
129 "export_selector": "true",
130 "file_header": "",
131 "file_footer": "",
132 "threshold": "",
133 "timeout": "60",
134 "compression": "1",
135 "quoted_fields": "0",
136 "deduplicate_field_name": "",
137 "include_column_names": "1",
138 "export_encoding": "",
139 "zip_inner_file_name": "",
140 "time_between_attempts": "1",
141 "max_attempts": "1",
142 "chunk_transfer_protocol": "apache",
143 "item_group_id": "",
144 "timestamp": "1900-01-01"
145 }
146 ],
147 "error_time": "2024-02-01 02:00:00 EST",
148 "push": "false",
149 "run_duration": "19"
150 }
151 ]
152 }
153]
Was this page helpful?
Previous

Retrieves the raw data for a database

Next

Retrieves the transformed data for a database/export

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database that the export belongs to
export_idintegerRequired
ID of the export

Headers

x-api-keystringRequired

Request

Downloads Data with several options including general, export or raw
delimiterenumRequired
The delimiter used to parse data
Allowed values:
do_notifybooleanRequired
A flag to check if the user should be alerted when the process completes
fe_downloadbooleanRequired
A flag to format the response for download
ignore_export_selectorbooleanRequired
A flag to determine if export selector should be ignored
no_transformersbooleanOptional

A flag to return raw data (no transformers applied)

pushenumOptional
Determines if an export should get pushed or simply produce the output
Allowed values:
selected_columnslist of anyOptional
An array with the specific columns the output should include

Response

successful operation
statusstring
messagestring
datalist of objects